Index: trunk/LMDZ.TITAN/libf/phytitan/YOEGWD.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/YOEGWD.h	(revision 1056)
+++ trunk/LMDZ.TITAN/libf/phytitan/YOEGWD.h	(revision 1056)
@@ -0,0 +1,10 @@
+!     -----------------------------------------------------------------
+!*    *COMMON* *YOEGWD* - PARAMETERS FOR GRAVITY WAVE DRAG CALCULATIONS
+!     -----------------------------------------------------------------
+!
+      integer :: NKTOPG,NTOP
+      real    :: GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT
+      real    :: GHMAX,GRAHILO,GSIGCR,GSSEC,GTSEC,GVSEC
+      COMMON/YOEGWD/ GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT         &
+     &   ,GHMAX,GRAHILO,GSIGCR,NKTOPG,NTOP,GSSEC,GTSEC,GVSEC
+
Index: trunk/LMDZ.TITAN/libf/phytitan/brume3D.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/brume3D.F	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/brume3D.F	(revision 1056)
@@ -50,5 +50,5 @@
          integer xnz,xnrad,ngrid
          integer li,lf,ihor
-         real dt
+         real dt,g
          real c0(nz,nrad),c(nz,nrad,2)
          real k(nz,nrad,nrad),knu
@@ -72,21 +72,4 @@
          data itime/0/
 
-* initialisation
-* --------------
-
-* effet saisonnier
-* ----------------
-
-
-         xsaison=0.
-         xsaison=pmu0*4.*pfract
-                              !=Pi si fract=1/2 (equinoxe) et 
-                              !    si mu0(ihor)=1 sous le soleil
-                              !    exactement.
-
-c        xsaison=0.
-c        if (ihor.le.9.or.ihor.ge.41) xsaison=8.  ! rapport des surfaces
-c        xsaison=1.
-
 * controles
 * ---------
@@ -104,15 +87,36 @@
          dt=x1 
 
-         if (itime.eq.0) then 
-           ITIME=1
+* initialisation unique
+* --------------
+
+c         if (itime.eq.0) then 
+c           ITIME=1
+c         endif
+
+* initialisation
+* --------------
+
            call init
            call calcoag
-         endif
+
+* effet saisonnier
+* ----------------
+
+
+         xsaison=0.
+         xsaison=pmu0*4.*pfract
+                              !=Pi si fract=1/2 (equinoxe) et 
+                              !    si mu0(ihor)=1 sous le soleil
+                              !    exactement.
+
+c        xsaison=0.
+c        if (ihor.le.9.or.ihor.ge.41) xsaison=8.  ! rapport des surfaces
+c        xsaison=1.
 
          do i=1,nz,1
            do j=1,nrad
              v1=vitesse(i,j,0)
-c             ho que c'est moche ! -> taused = RT/(Mn2*g)*1/vaer = H/v
-             taused(i,j)=(8.314*t(i)/28.e-3/1.35)/v1
+             g=g0*(rtit/(rtit+z(i)))**2
+             taused(i,j)=rgp*t(i)/(mn2*g)/v1
            enddo
          enddo
@@ -620,9 +624,14 @@
 
          zbx=z(h)+dz(h)/2.
+
+c ATTENTION !! 
+c toutes ces definitions sont contradictoires, 
+c pour mettre 0 au bout du compte...
+c A NETTOYER !!
+
          if(zbx.le.42000.) then
            kd=1.64e+12*(pb(h)/(kbz*tb(h)))**(-1./2.)
            kd=4.
          else
-           kd=0.0*kd
            kd=1.64e+12*(pb(h)/(kbz*tb(h)))**(-1./2.)
          endif
@@ -758,5 +767,6 @@
 *   rap= aar/an2  cst sur l'altitude
 
-         rap=0.191
+         rap=0.02
+c         rap=0.191
          do 23 i=1,nz
            an2(i)=(1.-ach4(i))/(1.+rap)
@@ -769,9 +779,9 @@
 24       continue
 
-         do 34 i=1,nz
+         do i=1,nz
            m=ach4(i)*mch4+an2(i)*mn2+aar(i)*mar
            rhob(i)=pb(i)*m/(rgp*tb(i))
 c          print*,pb(i),m,rgp,tb(i),rhob(i),rho(i)
-34       continue
+         enddo
 
 *  fin d'interpolation des taux de melange
Index: trunk/LMDZ.TITAN/libf/phytitan/calchim.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/calchim.F	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/calchim.F	(revision 1056)
@@ -1,3 +1,3 @@
-      SUBROUTINE calchim(ny,qy_c,nomqy_c,declin_rad,ls_rad,dtchim,
+      SUBROUTINE calchim(nlon,ny,qy_c,nomqy_c,declin_rad,ls_rad,dtchim,
      .                   ctemp,cplay,cplev,
      .                   dqyc)
@@ -9,8 +9,13 @@
 c     Auteur: S. Lebonnois,  01/2000 | 09/2003 
 c            adaptation pour Titan 3D: 02/2009
+c            adaptation pour // : 04/2013
 c
 c-------------------------------------------------
 c
       use dimphy
+      use common_mod, only:utilaer,maer,prodaer,csn,csh,psurfhaze,
+     .                     NLEV,NC,ND,NR
+      USE comgeomphy,  only: rlatd
+      use moyzon_mod,  only: klat
       implicit none
 #include "dimensions.h"
@@ -19,27 +24,26 @@
 #include "YOMCST.h"
 
-#include "titan_for.h"  
-!!!  doit etre en accord avec titan.h
-#include "aerprod.h"
-
 c    Arguments
 c    ---------
 
+      INTEGER      nlon                   ! nb of horiz points
       INTEGER      ny                     ! nb de composes (nqmax-nmicro) 
-      REAL         qy_c(jjm+1,klev,NC)    ! Especes chimiques apres adv.+diss.
+      REAL         qy_c(nlon,klev,NC)     ! Especes chimiques apres adv.+diss.
       character*10 nomqy_c(NC+1)          ! Noms des especes chimiques
       REAL         declin_rad,ls_rad      ! declinaison et long solaire en radians
       REAL         dtchim                 ! pas de temps chimie
-      REAL         ctemp(jjm+1,klev)      ! Temperature
-      REAL         cplay(jjm+1,klev)      ! pression (Pa)
-      REAL         cplev(jjm+1,klev)      ! pression intercouches (Pa)
-      
-      REAL         dqyc(jjm+1,klev,NC)    ! Tendances especes chimiques 
+      REAL         ctemp(nlon,klev)      ! Temperature
+      REAL         cplay(nlon,klev)      ! pression (Pa)
+      REAL         cplev(nlon,klev)      ! pression intercouches (Pa)
+      
+      REAL         dqyc(nlon,klev,NC)    ! Tendances especes chimiques 
       
 c    Local variables :
 c    -----------------
+
+      integer i,j,l,ic,jm1
+
 c variables envoyees dans la chimie: double precision
 
-      integer i,j,l,ic
       REAL  temp_c(klev),press_c(klev)     ! T,p(mbar) a 1 lat donnee
       REAL  declin_c                       ! declinaison en degres
@@ -64,5 +68,5 @@
       
       REAL  mass(NC),duree
-      REAL  tablefluxtop(NC,jjm+1,5)
+      REAL  tablefluxtop(NC,jjp1,5)
       REAL  botCH4
       DATA  botCH4/0.05/
@@ -90,5 +94,5 @@
 c ************************************
 
-        allocate(krpd(15,ND+1,klev,jjm+1),krate(klev,NR))
+        allocate(krpd(15,ND+1,klev,jjp1),krate(klev,NR))
 
 c Verification dimension verticale: coherence titan_for.h et klev
@@ -110,14 +114,14 @@
 	endif
 
-c calcul de temp_c, densites et press_c a l'equateur:
-c --------------------------------------------------
-
-        print*,'pression, densites et temp a l equateur (chimie):'
+c calcul de temp_c, densites et press_c au milieu de l'ensemble des points:
+c ----------------------------------------------------------------------
+
+        print*,'pression, densites et temp (chimie):'
         print*,'level, press_c, nb, temp_c'
         DO l=1,klev
 c     temp_c (K):
-         temp_c(l)  = ctemp(jjm/2+1,l)
+         temp_c(l)  = ctemp(nlon/2+1,l)
 c     press_c (mbar):
-         press_c(l) = cplay(jjm/2+1,l)/100.
+         press_c(l) = cplay(nlon/2+1,l)/100.
 c     nb (cm-3):
          nb(l) = 1.e-4*press_c(l) / (RKBOL*temp_c(l))
@@ -393,6 +397,14 @@
 c                BOUCLE SUR LES LATITUDES
 c
-      DO j=1,jjp1 
-      
+      DO j=1,nlon 
+      
+      if (j.eq.1) then 
+         jm1=1
+      else
+         jm1=j-1
+      endif
+
+      if((j.eq.1).or.(klat(j).ne.klat(jm1))) then
+
 c***********************************************************************
 c***********************************************************************
@@ -459,22 +471,4 @@
 c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-       if (firstcal.and.(j.eq.1)) then
-         print*,'Alt, densites et temp au pole (chimie):'
-         print*,'level, z_bas, nb, temp_c'
-         do l=1,klev
-          print*,l,rinter(l)-RA/1000.,nb(l),temp_c(l)
-         enddo
-       endif
-
-       if (firstcal.and.(j.eq.jjm/2)) then
-c         print*,'g,mugaz'
-c         print*,g,mugaz
-         print*,'Alt, densites et temp a l equateur (chimie):'
-         print*,'level, z_bas, nb, temp_c'
-         do l=1,klev
-          print*,l,rinter(l)-RA/1000.,nb(l),temp_c(l)
-         enddo
-       endif
-       
 c-----------------------------------------------------------------------
 c
@@ -507,7 +501,7 @@
 c   --------------------
        
-       call gptitan(jjp1,rinter,temp_c,nb,
+       call gptitan(rinter,temp_c,nb,
      $              nomqy_c,cqy,fluxtop,
-     $              declin_c,duree,(j-1),mass,
+     $              declin_c,duree,(klat(j)-1),mass,
      $              botCH4,krpd,krate,reactif,
      $              nom_prod,nom_perte,prod,perte,
@@ -515,11 +509,4 @@
      $              htoh2,surfhaze)
        
-c       if ( j.eq.jjm/2 ) 
-c    $        print*,cqy(1,1),cqy(klev,1),cqy(1,2),cqy(klev,2)
-c       if ( j.eq.jjm/2 ) 
-c    $  print*,qy_c(j,1,1),qy_c(j,klev,1),qy_c(j,1,2),qy_c(j,klev,2)
-
-c       stop
-
 c   Tendances composition 
 c   ---------------------
@@ -551,7 +538,17 @@
 c***********************************************************************
 c***********************************************************************
-c
+
 c              FIN: BOUCLE SUR LES LATITUDES 
-c
+
+      else      ! same latitude, we don't do calculations again
+        dqyc(j,:,:) = dqyc(jm1,:,:)
+        if (aerprod.eq.1) then
+          prodaer(j,:,:) = prodaer(jm1,:,:) 
+          maer(j,:,:)    = maer(jm1,:,:)
+          csn(j,:,:)     = csn(jm1,:,:)
+          csh(j,:,:)     = csh(jm1,:,:)
+        endif
+      endif
+
       ENDDO
      
Index: trunk/LMDZ.TITAN/libf/phytitan/clesphys.h
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/clesphys.h	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/clesphys.h	(revision 1056)
@@ -30,4 +30,5 @@
        real    tx,tcorrect,p_prodaer
        real    xnuf 
+       REAL    xvis,xir
 
 
@@ -39,5 +40,5 @@
        COMMON/clesphys_r/                                               &
      &     ecritphy, solaire, z0, lmixmin, ksta, inertie, emis,         &
-     &     tx,tcorrect,p_prodaer,xnuf
+     &     tx,tcorrect,p_prodaer,xnuf,xvis,xir
 
        COMMON/clesphys_l/cycle_diurne, soil_model,                      &
Index: trunk/LMDZ.TITAN/libf/phytitan/coefkzmin.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/coefkzmin.F	(revision 1056)
+++ trunk/LMDZ.TITAN/libf/phytitan/coefkzmin.F	(revision 1056)
@@ -0,0 +1,136 @@
+!
+! $Header: /home/cvsroot/LMDZ4/libf/phylmd/coefkzmin.F,v 1.1.1.1 2004/05/19 12:53:08 lmdzadmin Exp $
+!
+       SUBROUTINE coefkzmin(ngrid,ypaprs,ypplay,yu,yv,yt,ycoefm
+     .   ,km,kn)
+c      SUBROUTINE coefkzmin(ngrid,zlev,teta,ustar,km,kn)
+
+      use dimphy
+      IMPLICIT NONE
+
+#include "dimensions.h"
+#include "YOMCST.h"
+
+c.......................................................................
+c  Entrees modifies en attendant une version ou les zlev, et zlay soient
+c  disponibles.
+
+      REAL  ycoefm(klon,klev)
+
+      REAL yu(klon,klev), yv(klon,klev)
+      REAL yt(klon,klev)
+      REAL ypaprs(klon,klev+1), ypplay(klon,klev)
+      REAL yustar(klon)
+      real yzlay(klon,klev),yzlev(klon,klev+1),yteta(klon,klev)
+
+      integer i
+
+c.......................................................................
+c
+c  En entree :
+c  -----------
+c
+c zlev : altitude a chaque niveau (interface inferieure de la couche
+c        de meme indice)
+c ustar : u*
+c
+c teta : temperature potentielle au centre de chaque couche
+c        (en entree : la valeur au debut du pas de temps)
+c
+c  en sortier :
+c  ------------
+c
+c km : diffusivite turbulente de quantite de mouvement (au bas de chaque
+c      couche)
+c      (en sortie : la valeur a la fin du pas de temps)
+c kn : diffusivite turbulente des scalaires (au bas de chaque couche)
+c      (en sortie : la valeur a la fin du pas de temps)
+c
+c.......................................................................
+
+      real ustar(klon)
+      real kmin,qmin,pblhmin(klon),coriol(klon)
+      REAL zlev(klon,klev+1)
+      REAL teta(klon,klev)
+
+      REAL km(klon,klev+1)
+      REAL kn(klon,klev+1)
+      integer l_mix,ngrid
+
+
+      integer ig,k
+
+      real kap
+      save kap
+      data kap/0.4/
+
+c.......................................................................
+c  en attendant une version ou les zlev, et zlay soient
+c  disponibles.
+c  Debut de la partie qui doit etre unclue a terme dans clmain.
+c
+         do i=1,ngrid
+            yzlay(i,1)=RD*yt(i,1)/(0.5*(ypaprs(i,1)+ypplay(i,1)))
+     .                *(ypaprs(i,1)-ypplay(i,1))/RG
+         enddo
+         do k=2,klev
+            do i=1,ngrid
+               yzlay(i,k)=yzlay(i,k-1)+RD*0.5*(yt(i,k-1)+yt(i,k))
+     s                /ypaprs(i,k)*(ypplay(i,k-1)-ypplay(i,k))/RG
+            enddo
+         enddo
+         do k=1,klev
+            do i=1,ngrid
+cATTENTION:on passe la temperature potentielle virt. pour le calcul de K
+             yteta(i,k)=yt(i,k)*(ypaprs(i,1)/ypplay(i,k))**rkappa
+            enddo
+         enddo
+         do i=1,ngrid
+            yzlev(i,1)=0.
+            yzlev(i,klev+1)=2.*yzlay(i,klev)-yzlay(i,klev-1)
+         enddo
+         do k=2,klev
+            do i=1,ngrid
+               yzlev(i,k)=0.5*(yzlay(i,k)+yzlay(i,k-1))
+            enddo
+         enddo
+
+
+cIM cf FH   yustar(:) =SQRT(ycoefm(:,1)*(yu(:,1)*yu(:,1)+yv(:,1)*yv(:,1)))
+      yustar(1:ngrid) =SQRT(ycoefm(1:ngrid,1)*
+     $       (yu(1:ngrid,1)*yu(1:ngrid,1)+yv(1:ngrid,1)*yv(1:ngrid,1)))
+
+c  Fin de la partie qui doit etre unclue a terme dans clmain.
+
+Cette routine est ecrite pour avoir en entree ustar, teta et zlev
+c  Ici, on a inclut le calcul de ces trois variables dans la routine
+c  coefkzmin en attendant une nouvelle version de la couche limite
+c  ou ces variables seront disponibles.
+
+c Debut de la routine coefkzmin proprement dite.
+
+      ustar=yustar
+      teta=yteta
+      zlev=yzlev
+
+      do ig=1,ngrid
+      coriol(ig)=1.e-4
+      pblhmin(ig)=0.07*ustar(ig)/max(abs(coriol(ig)),2.546e-5)
+      enddo
+      
+      do k=2,klev
+         do ig=1,ngrid
+            if (teta(ig,2).gt.teta(ig,1)) then
+               qmin=ustar(ig)*(max(1.-zlev(ig,k)/pblhmin(ig),0.))**2
+               kmin=kap*zlev(ig,k)*qmin
+            else
+               kmin=0. ! kmin n'est utilise que pour les SL stables.
+            endif 
+            kn(ig,k)=kmin
+            km(ig,k)=kmin
+         enddo
+      enddo
+
+
+      return
+      end
Index: trunk/LMDZ.TITAN/libf/phytitan/comgeomphy.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/comgeomphy.F90	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/comgeomphy.F90	(revision 1056)
@@ -9,13 +9,13 @@
   
   subroutine initcomgeomphy
-  use dimphy
+  USE mod_phys_lmdz_para
   implicit none
     
  
-    allocate(airephy(klon))
-    allocate(cuphy(klon))
-    allocate(cvphy(klon))
-    allocate(rlatd(klon))
-    allocate(rlond(klon))
+    allocate(airephy(klon_omp))
+    allocate(cuphy(klon_omp))
+    allocate(cvphy(klon_omp))
+    allocate(rlatd(klon_omp))
+    allocate(rlond(klon_omp))
 
   end subroutine initcomgeomphy
Index: trunk/LMDZ.TITAN/libf/phytitan/common_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/common_mod.F90	(revision 1056)
+++ trunk/LMDZ.TITAN/libf/phytitan/common_mod.F90	(revision 1056)
@@ -0,0 +1,118 @@
+      MODULE common_mod
+! Variables sauvegardees - anciens common
+!======================================================================
+!
+!
+!======================================================================
+! Declaration des variables
+      USE dimphy
+      implicit none
+#include "dimensions.h"
+
+! ancien rnuabar
+      REAL,    ALLOCATABLE, SAVE :: rmcbar(:,:),xfbar(:,:,:)
+      INTEGER, ALLOCATABLE, SAVE :: ncount(:,:)
+!$OMP THREADPRIVATE(rmcbar,xfbar)
+!$OMP THREADPRIVATE(ncount)
+
+! Common de aerprod.h... aerprod et htoh2
+! Etaient utilises par calchim et la microphysique pour echanger 
+! des variables pour la production des aerosols par la chimie
+! et la chimie heterogene de H a la surface des aerosols
+! Ca a disparu de la microphysique... 
+! A remettre si on veut reutiliser cette fonctionnalite
+
+! ancien aerprod
+      INTEGER, SAVE :: utilaer(16)
+      REAL,    ALLOCATABLE, SAVE :: maer(:,:,:),prodaer(:,:,:)
+      REAL,    ALLOCATABLE, SAVE :: csn(:,:,:),csh(:,:,:)
+!$OMP THREADPRIVATE(utilaer)
+!$OMP THREADPRIVATE(maer,prodaer,csn,csh)
+! ancien htoh2
+      REAL,    ALLOCATABLE, SAVE :: psurfhaze(:,:)
+!$OMP THREADPRIVATE(psurfhaze)
+
+! ancien titan_for.h
+      INTEGER, PARAMETER :: NLEV=llm,NC=44,ND=54,NR=377
+!$OMP THREADPRIVATE(NLEV,NC,ND,NR)
+!!!  doivent etre en accord avec titan.h
+
+! ancien diagmuphy.h
+!     toutes les variables
+!     diagnostiques sorties de la microphysique.
+
+! ---- flux de glace (1:CH4 / 2:C2H6 / 3:C2H2)
+      REAL, ALLOCATABLE, SAVE :: flxesp_i(:,:,:)
+!$OMP THREADPRIVATE(flxesp_i)
+! ---- taux sedimentation gouttes, aerosols sec
+      REAL, ALLOCATABLE, SAVE :: tau_drop(:,:),tau_aer(:,:,:)
+!$OMP THREADPRIVATE(tau_drop,tau_aer)
+! ---- Production de glace (negatif si disparition)
+      REAL, ALLOCATABLE, SAVE :: solesp(:,:,:)
+!$OMP THREADPRIVATE(solesp)
+! ---- Evaporation CH4
+      REAL, ALLOCATABLE, SAVE :: evapch4(:)
+!$OMP THREADPRIVATE(evapch4)
+! ---- occurences des nuages
+      REAL, ALLOCATABLE, SAVE :: occcld_m(:,:,:)
+!$OMP THREADPRIVATE(occcld_m)
+! ---- occcld sert a obtenir les opacités/extinction des nuages (proxy)
+      REAL, ALLOCATABLE, SAVE :: occcld(:,:)
+!$OMP THREADPRIVATE(occcld)
+! ---- saturation CH4,C2H6,C2H2
+      REAL, ALLOCATABLE, SAVE :: satch4(:,:),satc2h6(:,:),satc2h2(:,:)
+!$OMP THREADPRIVATE(satch4,satc2h6,satc2h2)
+! ---- precipitations (CH4, C2H6, C2H2, noyaux, aerosols)
+      REAL, ALLOCATABLE, SAVE :: precip(:,:)
+!$OMP THREADPRIVATE(precip)
+! ---- rayon moyen des gouttes
+      REAL, ALLOCATABLE, SAVE :: rmcloud(:,:)
+!$OMP THREADPRIVATE(rmcloud)
+
+! Anciently /TAUD/
+      REAL, ALLOCATABLE, SAVE :: TauHID(:,:,:) ! cumulative Haze   IR  opacity
+      REAL, ALLOCATABLE, SAVE :: TauCID(:,:,:) ! cumulative Clouds IR  opacity
+      REAL, ALLOCATABLE, SAVE :: TauGID(:,:,:) ! cumulative Gas    IR  opacity
+      REAL, ALLOCATABLE, SAVE :: TauHVD(:,:,:) ! cumulative Haze   Vis opacity
+      REAL, ALLOCATABLE, SAVE :: TauCVD(:,:,:) ! cumulative Clouds Vis opacity
+      REAL, ALLOCATABLE, SAVE :: TauGVD(:,:,:) ! cumulative Gas    Vis opacity
+!$OMP THREADPRIVATE(TauHID,TauCID,TauGID)
+!$OMP THREADPRIVATE(TauHVD,TauCVD,TauGVD)
+! besoin en plus en l'absence de racommon_h
+      INTEGER,PARAMETER :: NSPECI=46,NSPECV=24
+
+CONTAINS
+
+!======================================================================
+SUBROUTINE common_init
+use dimphy
+USE control_mod
+IMPLICIT NONE
+#include "dimensions.h"
+#include "microtab.h"
+
+      ALLOCATE(rmcbar(klon,klev),xfbar(klon,klev,4))
+      ALLOCATE(ncount(klon,klev))
+
+      ALLOCATE(maer(klon,klev,4),prodaer(klon,klev,4))
+      ALLOCATE(csn(klon,klev,4),csh(klon,klev,4))
+      ALLOCATE(psurfhaze(klon,klev))
+
+      ALLOCATE(flxesp_i(klon,klev,3),tau_drop(klon,klev))
+      ALLOCATE(tau_aer(klon,klev,nrad),solesp(klon,klev,3))
+      ALLOCATE(evapch4(klon),occcld_m(klon,klev,12))
+      ALLOCATE(occcld(klon,klev),satch4(klon,klev))
+      ALLOCATE(satc2h6(klon,klev),satc2h2(klon,klev))
+      ALLOCATE(precip(klon,5),rmcloud(klon,klev))
+
+      ALLOCATE(TauHID(klon,klev,NSPECI))
+      ALLOCATE(TauCID(klon,klev,NSPECI))
+      ALLOCATE(TauGID(klon,klev,NSPECI))
+      ALLOCATE(TauHVD(klon,klev,NSPECV))
+      ALLOCATE(TauCVD(klon,klev,NSPECV))
+      ALLOCATE(TauGVD(klon,klev,NSPECV))
+
+END SUBROUTINE common_init
+
+!======================================================================
+      END MODULE common_mod
Index: trunk/LMDZ.TITAN/libf/phytitan/conf_phys.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/conf_phys.F90	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/conf_phys.F90	(revision 1056)
@@ -374,4 +374,20 @@
   call getin('tcorrect',tcorrect)
 
+!
+!Config Key  = xvis
+!Config Desc = Facteur d ajustement des proprietes vis des aerosols
+!Config Def  = 1.5
+!Config Help =
+!
+  xvis = 1.0
+  call getin('xvis',xvis)
+!
+!Config Key  = xir
+!Config Desc = Facteur d ajustement des proprietes IR des aerosols
+!Config Def  = 0.5
+!Config Help =
+!
+  xir = 1.0
+  call getin('xir',xir)
 !
 !Config Key  = p_prodaer
@@ -487,4 +503,6 @@
   write(numout,*)' tx = ', tx
   write(numout,*)' tcorrect = ', tcorrect
+  write(numout,*)' xvis = ', xvis
+  write(numout,*)' xir = ', xir
   write(numout,*)' p_prodaer = ', p_prodaer
   write(numout,*)' cutoff = ', cutoff
Index: trunk/LMDZ.TITAN/libf/phytitan/dimphy.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/dimphy.F90	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/dimphy.F90	(revision 1056)
@@ -8,9 +8,6 @@
   INTEGER,SAVE :: klevp1
   INTEGER,SAVE :: klevm1
-  INTEGER,SAVE :: kflev
 
 !$OMP THREADPRIVATE(klon,kfdia,kidia,kdlon)
-  REAL,save,allocatable,dimension(:) :: zmasq
-!$OMP THREADPRIVATE(zmasq)   
 
 CONTAINS
@@ -31,7 +28,5 @@
     klevp1=klev+1
     klevm1=klev-1
-    kflev=klev
 !$OMP END MASTER    
-    ALLOCATE(zmasq(klon))    
     
   END SUBROUTINE init_dimphy
Index: trunk/LMDZ.TITAN/libf/phytitan/drag_noro.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/drag_noro.F	(revision 1056)
+++ trunk/LMDZ.TITAN/libf/phytitan/drag_noro.F	(revision 1056)
@@ -0,0 +1,170 @@
+
+C  SUBROUTINE DE PARAMETRISATION DES MONTAGNES D ECHELLE SOUS MAILLE
+
+      SUBROUTINE drag_noro (nlon,nlev,dtime,paprs,pplay,pgeop,pn2,
+     e                   pmea,pstd, psig, pgam, pthe,ppic,pval,
+     e                   kgwd,kdx,ktest,
+     e                   t, u, v,
+     s                   pulow, pvlow, pustr, pvstr,
+     s                   d_t, d_u, d_v)
+c
+      use dimphy
+      IMPLICIT none
+
+#include "dimensions.h"
+#include "paramet.h"
+
+c======================================================================
+c Auteur(s): F.Lott (LMD/CNRS) date: 19950201
+c Object: Mountain drag interface. Made necessary because:
+C 1. in the LMD-GCM Layers are from bottom to top,
+C    contrary to most European GCM.
+c 2. the altitude above ground of each model layers
+c    needs to be known (variable zgeom)
+c======================================================================
+c Explicit Arguments:
+c ==================
+c nlon----input-I-Total number of horizontal points that get into physics
+c nlev----input-I-Number of vertical levels
+c dtime---input-R-Time-step (s)
+c paprs---input-R-Pressure in semi layers    (Pa)
+c pplay---input-R-Pressure model-layers      (Pa)
+c pgeop---input-R-Geopotential model layers      (m)
+c pn2-----input-R-Brunt-Vaisala freq.^2 at 1/2 layers
+c t-------input-R-temperature (K)
+c u-------input-R-Horizontal wind (m/s)
+c v-------input-R-Meridional wind (m/s)
+c pmea----input-R-Mean Orography (m)
+C pstd----input-R-SSO standard deviation (m)
+c psig----input-R-SSO slope
+c pgam----input-R-SSO Anisotropy
+c pthe----input-R-SSO Angle
+c ppic----input-R-SSO Peacks elevation (m)
+c pval----input-R-SSO Valleys elevation (m)
+c
+c kgwd- -input-I: Total nb of points where the orography schemes are active
+c ktest--input-I: Flags to indicate active points
+c kdx----input-I: Locate the physical location of an active point.
+
+c pulow, pvlow -output-R: Low-level wind
+c pustr, pvstr -output-R: Surface stress due to SSO drag      (Pa)
+c
+c d_t-----output-R: T increment            
+c d_u-----output-R: U increment              
+c d_v-----output-R: V increment              
+c
+c Implicit Arguments:
+c ===================
+c
+c iim--common-I: Number of longitude intervals
+c jjm--common-I: Number of latitude intervals
+c klon-common-I: Number of points seen by the physics
+c                (iim+1)*(jjm+1) for instance
+c klev-common-I: Number of vertical layers
+c======================================================================
+c Local Variables:
+c ================
+c
+c zgeom-----R: Altitude of layer above ground
+c pt, pu, pv --R: t u v from top to bottom
+c pdtdt, pdudt, pdvdt --R: t u v tendencies (from top to bottom) 
+c papmf: pressure at model layer (from top to bottom)
+c papmh: pressure at model 1/2 layer (from top to bottom)
+c 
+c======================================================================
+
+#include "YOMCST.h"
+#include "YOEGWD.h"
+
+c  ARGUMENTS
+c
+      INTEGER nlon,nlev
+      REAL dtime
+      REAL paprs(nlon,nlev+1)
+      REAL pplay(nlon,nlev)
+      REAL pgeop(nlon,nlev),pn2(nlon,nlev)
+      REAL pmea(nlon),pstd(nlon),psig(nlon),pgam(nlon),pthe(nlon)
+      REAL ppic(nlon),pval(nlon)
+      REAL pulow(nlon),pvlow(nlon),pustr(nlon),pvstr(nlon)
+      REAL t(nlon,nlev), u(nlon,nlev), v(nlon,nlev)
+      REAL d_t(nlon,nlev), d_u(nlon,nlev), d_v(nlon,nlev)
+c
+      INTEGER i, k, kgwd,  kdx(nlon), ktest(nlon)
+c
+c LOCAL VARIABLES:
+c
+      REAL zgeom(klon,klev),zn2(klon,klev)
+      REAL pdtdt(klon,klev), pdudt(klon,klev), pdvdt(klon,klev)
+      REAL pt(klon,klev), pu(klon,klev), pv(klon,klev)
+      REAL papmf(klon,klev),papmh(klon,klev+1)
+c
+c INITIALIZE OUTPUT VARIABLES 
+c
+      DO i = 1,klon
+         pulow(i) = 0.0
+         pvlow(i) = 0.0
+         pustr(i) = 0.0
+         pvstr(i) = 0.0
+      ENDDO
+      DO k = 1, klev
+      DO i = 1, klon
+         d_t(i,k) = 0.0
+         d_u(i,k) = 0.0
+         d_v(i,k) = 0.0
+         pdudt(i,k)=0.0
+         pdvdt(i,k)=0.0
+         pdtdt(i,k)=0.0
+      ENDDO
+      ENDDO
+c
+c PREPARE INPUT VARIABLES FOR ORODRAG (i.e., ORDERED FROM TOP TO BOTTOM)
+C CALCULATE LAYERS HEIGHT ABOVE GROUND)
+c
+      DO k = 1, klev
+      DO i = 1, klon
+         pt(i,k) = t(i,klev-k+1) 
+         pu(i,k) = u(i,klev-k+1)
+         pv(i,k) = v(i,klev-k+1)
+         papmf(i,k) = pplay(i,klev-k+1)
+      ENDDO
+      ENDDO
+      DO k = 1, klev+1
+      DO i = 1, klon
+         papmh(i,k) = paprs(i,klev-k+2)
+      ENDDO
+      ENDDO
+
+      DO k = klev, 1, -1
+      DO i = 1, klon
+         zgeom(i,k) = pgeop(i,klev-k+1)
+	 zn2(i,k)   = pn2(i,klev-k+1)
+      ENDDO
+      ENDDO
+
+c CALL SSO DRAG ROUTINES        
+c
+      CALL orodrag(klon,klev,kgwd,kdx,ktest,
+     .            dtime,
+     .            papmh, papmf, zgeom, zn2,
+     .            pt, pu, pv,
+     .            pmea, pstd, psig, pgam, pthe, ppic,pval,
+     .            pulow,pvlow,
+     .            pdudt,pdvdt,pdtdt)
+C
+C COMPUTE INCREMENTS AND STRESS FROM TENDENCIES
+
+      DO k = 1, klev
+      DO i = 1, klon
+         d_u(i,klev+1-k) = dtime*pdudt(i,k)
+         d_v(i,klev+1-k) = dtime*pdvdt(i,k)
+         d_t(i,klev+1-k) = dtime*pdtdt(i,k)
+         pustr(i)        = pustr(i)
+     .                    +pdudt(i,k)*(papmh(i,k+1)-papmh(i,k))/rg
+         pvstr(i)        = pvstr(i)
+     .                    +pdvdt(i,k)*(papmh(i,k+1)-papmh(i,k))/rg
+      ENDDO
+      ENDDO
+c
+      RETURN
+      END
+
